/* Headline.h */
/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */

#ifndef HEADLINE_H
#define HEADLINE_H


#include "lcars24.h"
#include "lccolor.h"
#include "errmsg.h"
#include "playwav.h"
#include "parts.h"
#include "common.h"

int BackgroundColor;
int Shadow, StrongShadow;
unsigned char Font14[12544];
unsigned char Font19[12544];
unsigned char Font21[12544];
unsigned char ScorpioFont[12545];

int DiskWakeup();
int LoadFont14();
int LoadFont19();
int StrLenFont19(char *Str);
int LoadFont21();
int StrLenFont21(char *Str);
int StrLenFont14(char *Str);
int LoadScorpioFont();
int StrLenScorpio(char *cStr);
int FindShadow(int Fc, int Bc);
int FindStrongShadow(int Fc, int Bc);
int Headline19(BITMAP *bmp, int x,int y, int Hue, char *Str);
int Headline21(BITMAP *bmp,int x,int y, int Hue, char *Str);
int RightPutsFont21(int x,int y, int Hue, char *Str);
int RightPutsFont19(int x,int y, int Hue, char *Str);
int Headline26(BITMAP *bmp,int x,int y, int Hue, char *Str);
int PutsFont19(int x,int y, int Hue, char *Str);
int PutsFont21(int x,int y, int Hue, char *Str);
int PutsScorpio(int x,int y, int Hue, char *Str);
int BlitHeadline14(BITMAP *bmp, int TargetChar, int x, int y, int Hue);
int SmoothHeadline14(BITMAP *bmp, int TargetChar, int x, int y, int Hue);
int Headline14(BITMAP *bmp, int x,int y, int Hue, char *Str);
int PutsFont14(int x,int y,int ForeColor,int BackColor,char *Str);
int PutsLuna(int x,int y,int ForeColor,int BackColor,char *cStr);
int StrLenLuna(char *cStr);
int Title(char *Str);
int ColorTitle(char *Str, int Color);

#endif

